@import url('https://fonts.googleapis.com/css2?family=Shippori+Mincho&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Josefin+Slab:wght@400;600;700&display=swap');


/* Common */
body {
  width: 100%;
  height: 100%;
  font-size: 18px;
  background: #fef4f4;
  font-family: 'Josefin Slab', 'Shippori Mincho', serif;
}

h1 {
  font-size: 4rem;
}

h2.section-title {
	font-size: 3rem;
	position: relative;
	margin-bottom: 20px;
	font-weight: 600;
  text-align: center;
}
.section-title-container {
  text-align: center;
  padding-bottom: 100px;
}
.section-title-container p {
  display: block;
  text-align: center;
}
.pt-100 {
  padding-top: 100px;
}
.pb-100 {
  padding-bottom: 100px;
}

input {
  border-radius: 0;
  border: none;
  background-color: #ece6e7;
  height: 24px;
  width: 100%;
}
input:focus {
  background-color: #e7d4d7;
}
textarea {
  border-radius: 0;
  border: none;
  background-color: #ece6e7;
  width: 100%;
  line-height: 1.5;
  height: 6em;
}
textarea:focus {
  background-color: #e7d4d7;
  outline: none;
}

/* header */
header {
display: flex;
justify-content: space-around;
align-items: center;
background-color: rgba(255, 255, 255, .9);
position: fixed;
width: 100%;
z-index: 10;
height: 10vh;
border-bottom: #c099a0 1px solid;
}
.header-space {
  height: 10vh;
}

header .logo h3 {
  font-size: 40px;
  font-weight: 600;
  color: #c099a0;;
}
nav ul {
  margin: 0;
}
nav ul li {
  list-style: none;
  display: inline-block;
  margin-right: 30px;
}

nav ul li a {
  text-decoration: none;
  color: #c099a0;
  font-weight: 600;
  transition: all 0.2s;
}

nav ul li a:hover {
  color: #f5b1aa;
}
.container {
  padding: 60px;
}

/* footer */
footer {
  background-color: #fff;
  color: #c099a0;
  height: 80px;
  text-align: center;
  border-top: #c099a0 1px solid;
}

footer p {
  line-height: 80px;
  color: #c099a0;
}

/* HomePage */
.top-image {
  height: calc(100vh - 80px);
  background-image: url(./images/topImage.jpg);
  background-size: cover;
  background-color: #c099a0;
  background-attachment: fixed;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  position: relative;
}
.top-image::after {
  content: '';
  background-color: rgba(192,153,160,.8);
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
}
.top-image.page-top {
  height: 40vh;
  margin-bottom: 100px;
}

.top-container {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: 1;
}
#card {
  width: 470px !important;
  height: auto;
  background-color: rgba(255,255,255,.1) !important;
  padding: 0 !important;
  box-shadow: 20px 20px 50px rgba(0, 0, 0, .5);
  border-top: solid rgba(255, 255, 255, .4);
  border-left: 1px solid rgba(255, 255, 255, .4);
  border-radius: 5px;
  background-color: rgba(255,255,255,.1);
  backdrop-filter: blur(5px);
}

#card h1 {
  font-size: 1.5rem;
}

.top-container .content {
  padding: 30px;
  position: relative;
}
.top-container h1 {
  color: #fff;
  font-size: 4rem;
  position: relative;
  margin-bottom: 1rem;
}
.page-title-container.top-container h1 {
  margin-bottom: 0;
}
.top-container h2 {
  font-weight: 700;
  color: #fff;
  font-size: 2rem;
  position: relative;
  z-index: 1;
  margin-bottom: 0;
}
.top-container span {
  color: #fff;
}
.top-container .content-inner {
  display: flex;
  justify-content: space-between;
}
.top-container .name-info {
  margin-bottom: 2.5rem;
}
.top-container .name-info p {
  color: #fff;
  margin: 0;
  text-align: right;
}
.profile-image {
  width: 100px;
  height: 100px;
  object-fit: cover;
  border-radius: 50%;
  transition: all 0.2s;
}
.message-box {
  position: absolute;
  background-color: #fff;
  border-radius: 10px;
  display: block;
  padding: 1rem;
  text-align: center;
  width: 200px;
  top: -25%;
  left: 110%;
  transition: all 0.2s;
}
.message-box-inner {
  position: relative;
}
.message-box-inner :before {  
  content: "";
  position: absolute;
  left: -54px;
  width: 13px;
  height: 12px;
  bottom: 0;
  background: #fff;
  border-radius: 50%;
}

.message-box-inner:after {
  content: "";
  position: absolute;
  left: -38px;
  width: 20px;
  height: 18px;
  bottom: 3px;
  background: #fff;
  border-radius: 50%;
}
.profile-image:hover {
  transform: translateY(-2px);
  box-shadow: 0px 0px 15px 1px rgba(0, 0, 0, 0.3);
}
.image-box {
  position: relative;
}
.display-none {
  display: none;
}


.contact-info {
  display: flex;
  line-height: 1.4rem;
  justify-content: right;
  color: #fff;
}
.contact-info a {
  text-decoration: none;
  display: flex;
  color: #fff;
}
.contact-info a:hover {
  color: #333;
}
.contact-info a:hover i{
  color: #333;
  transition: 0.2s;
}
.contact-info p {
  margin-bottom: 0.5rem;
}
.contact-info.with-link p {
  margin-bottom: 0;
}
.contact-info .sns-icon {
  color: #fff;
  font-size: 1rem;
  line-height: 1.4rem;
  padding-right: 5px;
}
.contact-info.with-link a {
  transition: 0.2s;
}
.contact-info.with-link a:hover {
  color: #333;
}

.display-none {
  display: none;
}
.hover-text {
  position: absolute;
  display: block;
  left: 105%;
  top: 8%;
  width: 40%;
  color: #fff;
  /* background-color: rgba(255, 255, 255, 0.5); */
  border: 1px solid rgba(255, 255, 255, 0.5);
  padding: 5px;
}


.section-inner {
  display: flex;
}

/* WorksPage */
.work-container {
  width: 300px;
  height: auto;
}

.works-list {
  display: flex;
  justify-content: space-around;
}
.works-list h3 {
  text-align: center;
}
.work-container {
    width: 300px;
    height: auto;
}
.work-container h3 {
  padding-bottom: 1rem;
}
.work-image {
  width: 300px;
  height: 200px;
  object-fit: cover;
  box-shadow: 0px 0px 3px 3px rgba(0, 0, 0, .1);
  margin-bottom: 20px;
  transition: 0.3s;
}
.work-image:hover {
  box-shadow: 0px 0px 15px 3px rgba(0, 0, 0, .1);
  transform: translateY(-4px);
}
.used-skill-container {
  border: 1px solid #c099a0;
  border-radius: 5px;
  background-color: #fff;
  padding: 1rem;
  margin-top: 1rem;
  text-align: center;
  color: #c099a0;
  font-weight: 600;
}
  

/* ProfilePage */

ul.timeline-list {
  position: relative;
  margin: 0;
  padding: 0;
}
ul.timeline-list:before {
  position: absolute;
  content: "";
  width: 2px;
  height: 100%;
  background: #c099a0;
  left: 50%;
  top: 0;
  -webkit-transform: translateX(-50%);
            transform: translateX(-50%);
}
ul.timeline-list li {
  position: relative;
  clear: both;
  display: table;
  width: 100%;
}
.timeline-content {
  border: 2px solid #c099a0;
    background-color: #fff;
}
ul.timeline-list li .timeline-content {
  width: 40%;
  color: #333;
  padding: 30px;
  float: left;
  text-align: right;
}
ul.timeline-list li:nth-child(2n) .timeline-content {
  float: right;
  text-align: left;
}
.timeline-content h3{
  font-size: 22px;
  font-weight: 600;
  margin: 10px 0;
  text-decoration: underline; /* 下線 */
  text-decoration-thickness: 0.5em; /* 線の太さ */
  text-decoration-color: rgba(245, 177, 170, 0.4); /* 線の色 */
  text-underline-offset: -0.2em; /* 線の位置。テキストに重なるようにやや上部にする */
  text-decoration-skip-ink: none; /* 下線と文字列が重なる部分でも下線が省略されない（線が途切れない） */
}
ul.timeline-list li:before {
  position: absolute;
  content: "";
    width: 25px;
    height: 25px;
    background-color: #c099a0;
    left: 50%;
    top: 50%;
    -webkit-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
    border-radius: 50%;
}
.timeline-content span {
  font-size: 18px;
    font-weight: 600;
    color: #c099a0;
}


.hobbies {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  align-items: center;
  text-align: center;
}
.hobby {
  width: 300px;
  height: 300px;
  background-color: rgba(255,255,255,0.7);
  border-radius: 50%;
  padding: 20px;
  margin: 20px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
}
.hobby dt {
  margin-bottom: 20px;
  width: 100%;
  position: relative;
}

.hobby dt h3 {
  font-size: 2rem;
  font-weight: normal;
  color: #c099a0;
  margin-top: 2rem;
}


.hobby dd {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.hobby div {
  padding: 0.4rem;
  text-align: center;
}

.reasons {
  width: 70%;
  justify-content: center;
  margin: auto;
}
.reasons h3{
  margin: 10px 0;
  text-decoration: underline; /* 下線 */
  text-decoration-thickness: 0.5em; /* 線の太さ */
  text-decoration-color: rgba(245, 177, 170, 0.4); /* 線の色 */
  text-underline-offset: -0.2em; /* 線の位置。テキストに重なるようにやや上部にする */
  text-decoration-skip-ink: none; /* 下線と文字列が重なる部分でも下線が省略されない（線が途切れない） */
}

.reasons p {
  padding-bottom: 50px;
}

/* BlogsPage */
.blog {
  display: flex;
}
.blog .top-image {
  width: 25%;
  height: calc(100vh - 80px);
  background-image: url(./images/topImage.jpg);
  background-size: cover;
  background-color: #c099a0;
  background-attachment: fixed;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  position: fixed;
}
.blog .top-image::after {
  content: '';
  background-color: rgba(192,153,160,.8);
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
}
.blog .main-content {
  width: 75%;
  margin-left: 25%;
}
.blog .top-container {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: 1;
}
.blog-container {
  width: 300px;
  height: auto;
}
.blogs-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}
.blogs-list h3 {
  text-align: center;
  margin-bottom: 20px;
}
.blog-container {
    width: 300px;
    height: auto;
    padding-bottom: 40px;
}
.blog-image {
  width: 300px;
  height: 200px;
  object-fit: cover;
  box-shadow: 0px 0px 3px 3px rgba(0, 0, 0, .1);
  transition: 0.3s;
}
.blog-image:hover {
  box-shadow: 0px 0px 15px 3px rgba(0, 0, 0, .1);
  transform: translateY(-4px);
}
.blog-category {
  display: flex;
  justify-content: space-between;
}
.blog-category li{
  list-style: none;
  background-color: rgba(255, 255, 255, .8);
  border: solid 1px rgba(0, 0, 0, .5);
  padding: 0.5rem 1rem;
  border-radius: 1rem;
}

/*skills*/
.skill-level-container {
  text-align: center;
}
.skill-levels {
  margin: auto;
  width: 60%;
}
.skill-levels div {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.skill-levels div dt {
  text-align: right;
  margin: 1rem;
}
.skill-levels div dd {
  text-align: left;
}
.skills {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  align-items: center;
  text-align: center;
}
.skill {
  width: 500px;
  height: 300px;
  background-color: rgba(255,255,255,0.7);
  border-radius: 20px;
  padding: 40px;
  margin: 20px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
}
.skill-container {
  position: relative;
  display: flex;
  justify-content: center;
}
.skill-detail {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  box-sizing: border-box;
}
.skill h3 {
  width: 100%;
}
.skill-detail dt {
  padding-right: 10px;
  width: 40%;
  text-align: right;
  box-sizing: border-box;
}
.skill-detail dt.en {
  padding-top: 5px;
}
.skill .icon {
  top: 50%;
  left: 50%;
  position: absolute;
  transform: translate(-50%, -50%);
  z-index: 1;
  font-size: 7rem;
  color: rgba(190, 161, 161, 0.2)
}
.skill-detail dd {
  width: 60%;
  margin: 0;
}
.skill-detail p {
  text-align: center;
  width: 100%;
  padding-top: 1rem;
}

/* contact */
.form-container {
  background-color: #fff;
  width: 70%;
  padding: 2rem;
  margin: auto;
  border-radius: 20px;
}
.form-inner div {
  padding-bottom: 20px;
}

.submit-btn {
  display: block;
  margin: auto;
  border: none;
  padding: 10px;
  width: 250px;
  border-radius: 25px;
  background-color: #c099a0;
  color: #fff;
  text-align: center;
  text-decoration: none;
}


@media screen and (max-width: 479px) { /*ウィンドウ幅が最大479pxまでの場合に適用*/

  /* header */
  header {
    display: block;
    text-align: center;
    height: 12vh;
    padding-top: 20px;
  }

  nav ul {
    display: flex;
    justify-content: space-between;
    margin-left: 20px;
    margin-right: 20px;
    flex-wrap: wrap;
  }

  nav ul li {
    margin-right: 0;
  }

  .header-space {
    height: 12vh;
  }

  /* HomePage */
  .top-image {
    height: calc(88vh);
  }

  #card {
    width: 90vw !important;
  }

  .profile-image:hover {
    transform: none;
    box-shadow: 0px 0px 0px 0px;
  }

  #message_box {
    display: none;
  }

  /* ProfilePage */
  .container {
    padding: 20px;
  }
  ul.timeline-list:before {
    left: 0%;
  }
  ul.timeline-list li {
    margin-bottom: 40px;
  }
  ul.timeline-list li .timeline-content {
    width: 95%;
    text-align: left;
    margin-left: 20px;
  }
  ul.timeline-list li:nth-child(2n) .timeline-content {
    float: left;
  }
  .timeline-content h3{
    font-size: 22px;
    font-weight: 600;
    margin: 10px 0;
    text-decoration: underline; /* 下線 */
    text-decoration-thickness: 0.5em; /* 線の太さ */
    text-decoration-color: rgba(245, 177, 170, 0.4); /* 線の色 */
    text-underline-offset: -0.2em; /* 線の位置。テキストに重なるようにやや上部にする */
    text-decoration-skip-ink: none; /* 下線と文字列が重なる部分でも下線が省略されない（線が途切れない） */
  }
  ul.timeline-list li:before {
    position: absolute;
    content: "";
      width: 25px;
      height: 25px;
      background-color: #c099a0;
      left: 0%;
  }
  .timeline-content span {
    font-size: 18px;
      font-weight: 600;
      color: #c099a0;
  }

  .works-list {
    display: block;
    justify-content: space-around;
  }

  .work-image {
    width: 100%;
  }

  .work-container {
    width: 100%;
    padding-bottom: 80px;
  }

  /* skills */
  .skill-levels {
    width: 100%;
  }

  .skill-levels dt {
    width: 35%;
  }
  .skill-levels dd {
    width: 65%;
  }

  /* contact */
  .form-container {
    width: 100%;
  }

  }